Package twisted :: Package python :: Module reflect :: Class Summer |
[frames | no frames]

## Class Summer

    Accessor --+
               |
              Summer

Extend from this class to get the capability to maintain 'related sums'. Have a tuple in your class like the following:

       sums=(('amount','credit','credit_total'),
             ('amount','debit','debit_total'))

and the 'credit_total' member of the 'credit' member of self will always be incremented when the 'amount' member of self is incremented, similiarly for the debit versions.

Method Summary
| ``reallySet`(self, k, v)` This method does the work.
Inherited from Accessor
| ``__delattr__`(self, k)`
| ``__getattr__`(self, k)`
| ``__setattr__`(self, k, v)`
| ``reallyDel`(self, k)` *actually* del self.k without incurring side-effects.

Method Details

### reallySet(self, k, v) This method does the work. Overrides: `twisted.python.reflect.Accessor.reallySet`

Generated by Epydoc 2.0 on Sat Oct 25 00:54:48 2003 | http://epydoc.sf.net